
function isBrowserSupported() 
{
    // detect supported browser
    var browserTypes  = new Array( "Netscape", "Microsoft Internet Explorer", "Konqueror") ;
    var browserLimits = new Array( 5.0,        4.0,                           5.0        ) ;
    var browserIndex  = 0 ;
    var versionLimit  = 0 ;
    var versionNum    = 0 ;
    var supportedFamily     = 0 ;
    var supportedType       = 0 ;
    var supportedVersion    = 0 ;

    // browser family
    if( navigator.appCodeName == "Mozilla" )
    {
        supportedFamily = 1 ;
    }

    // browser type
    for( var typename in browserTypes )
    {
        if( navigator.appName == browserTypes[typename] )
        {
            supportedType = 1 ;
            break ;
        }
        browserIndex++ ;
    }

    // browser version
    var fParen = navigator.appVersion.indexOf( "(");
    if( fParen != -1 ) 
    {
        versionNum = navigator.appVersion.substring( 0, fParen);
        //versionNum=3.76 ;     // ONLY for test
        versionNum = parseFloat( versionNum );
        if( supportedFamily )
        {
            if( supportedType ) 
            {
                if(  versionNum >=  parseFloat( browserLimits[browserIndex] ) )
                {
                    supportedVersion = 1 ;
                }
            }
        }
    }
    return supportedVersion ;
}

if( !isBrowserSupported() )
{
   var messageSummary  = "Your browser type or version is NOT supported. ";
   var messageDetails  = "Please consult the release notes for a list of supported browsers. Using your current browser will not result in optimum presentation and usability of the product and may result in some functions being inaccessible.";
   var messageImageSrc = "/images/popup_info.gif";
   MM_openBrWindow('/Common/MessagePopupPanel.htm?summary='+ escape(messageSummary)+'&details='+ escape(messageDetails)+'&imageSrc='+ escape(messageImageSrc),'MessagePopup','width=395,height=145');
}


