function findObjectById(objectId)
{
    return document.getElementById(objectId);
}

function getInputText(inputId)
{
    var element = findObjectById(inputId);
    if( element )
    {
        return element.value;
    }
    else
    {
        return "COULD NOT FIND OBJECT";
    }
}

function getSpanHtml(spanId)
{
    var element = findObjectById(spanId);
    if( element )
    {
        return element.innerHTML;
    }
    else
    {
        return "COULD NOT FIND OBJECT";
    }
}

function setInputText(inputId, newText)
{
    var element = findObjectById(inputId);
    if( element )
    {
        element.value = newText;
    }
}

function getCheckboxState(checkboxId)
{
    var element = findObjectById(checkboxId);
    if( element )
    {
        return element.checked;
    }
    else
    {
        return false;
    }
}

function getComboValue(comboId)
{
    var element = findObjectById(comboId);
    if( element )
    {
        return element.value;
    }
    else
    {
        return "COULD NOT FIND OBJECT";
    }
}

function setSpanHtml(spanId, strHtml)
{
    var element = findObjectById(spanId);
    if( element )
    {
        element.innerHTML = strHtml;
    }
}

function setImageSrc(imgId, newSrc)
{
    var element = findObjectById(imgId);
    if( element )
    {
        element.src = newSrc;
    }
}

function setDivVisible(divId, isVisible)
{
    var visisbleState;
    if( isVisible )
    {
        visibleState = 'visible';
    }
    else
    {
        visibleState = 'hidden';
    }
    document.getElementById(divId).style.visibility = visibleState;
}